Value assignment
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstring · uuidObrigatório
Respostas
200
Ok
application/json
idstring · uuidOpcional
typestring · enumOpcionalValores possíveis:
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
404
ValueAssignment was not Found
application/json
500
An internal server error was thrown
application/json
get/value-assignment/{id}
GET /api/b2b/value-assignment/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "NEW_ORDER",
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "PRE_ORDER_FORM",
"origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_name": "text",
"origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_field_name": "text",
"origin_database_field_description": "text",
"origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_criteria_name": "text",
"origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_name": "text",
"origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_field_name": "text",
"origin_form_field_title": "text",
"origin_fixed_value": "text",
"origin_context_type": "SELLER",
"destiny_value": "text",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstring · uuidObrigatório
Corpo
typestring · enumOpcionalValores possíveis:
Respostas
201
ValueAssignment updated
application/json
idstring · uuidOpcional
typestring · enumOpcionalValores possíveis:
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
404
ValueAssignment was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
put/value-assignment/{id}
PUT /api/b2b/value-assignment/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 495
{
"type": "NEW_ORDER",
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "PRE_ORDER_FORM",
"origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_fixed_value": "text",
"origin_context_type": "SELLER",
"destiny_value": "text"
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "NEW_ORDER",
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "PRE_ORDER_FORM",
"origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_fixed_value": "text",
"origin_context_type": "SELLER",
"destiny_value": "text",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
typestring · enumOpcionalValores possíveis:
Respostas
201
Created
application/json
idstring · uuidOpcional
typestring · enumOpcionalValores possíveis:
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
404
ValueAssignment was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
post/value-assignment
POST /api/b2b/value-assignment HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 451
{
"type": "NEW_ORDER",
"items": [
{
"type": "PRE_ORDER_FORM",
"origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_fixed_value": "text",
"origin_context_type": "SELLER",
"destiny_value": "text"
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "NEW_ORDER",
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
"type": "PRE_ORDER_FORM",
"origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
"origin_fixed_value": "text",
"origin_context_type": "SELLER",
"destiny_value": "text",
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"created_by": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_by": "123e4567-e89b-12d3-a456-426614174000",
"updated_at": "2026-01-01T00:00:00.000Z"
}